#
# crash core analysis suite
#
Summary: Kernel analysis utility for live systems, netdump, diskdump, kdump, LKCD or mcore dumpfiles
Name: crash
Version: 8.0.1
Release: %mkrel 2
License: GPLv3
Group: Development/Tools
Source0: https://github.com/crash-utility/crash/archive/crash-%{version}.tar.gz
Source1: https://ftp.gnu.org/gnu/gdb/gdb-10.2.tar.gz
URL: https://crash-utility.github.io
ExclusiveOS: Linux
ExclusiveArch: %{ix86} ia64 x86_64 ppc ppc64 s390 s390x %{arm} aarch64 ppc64le
BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(lzo2) 
BuildRequires: pkgconfig(ncurses) 
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(snappy) 
BuildRequires: pkgconfig(zlib) 
BuildRequires: bison 
Requires: binutils
Provides: bundled(libiberty)
Provides: bundled(gdb) = 10.2
Patch0: lzo_snappy_zstd.patch
Patch1: crash-8.0.1_build.patch
Patch2: 0001-ppc64-update-the-NR_CPUS-to-8192.patch
Patch3: 0002-sbitmapq-remove-struct-and-member-validation-in-sbit.patch
Patch4: 0003-sbitmapq-fix-invalid-offset-for-sbitmap_queue_alloc_.patch
Patch5: 0004-sbitmapq-fix-invalid-offset-for-sbitmap_queue_round_.patch
Patch6: 0005-sbitmapq-fix-invalid-offset-for-sbitmap_word_depth-o.patch
Patch7: 0006-Makefile-add-missing-crash_target.o-to-be-cleaned.patch
Patch8: 0007-bt-x86_64-filter-out-idle-task-stack.patch
Patch9: 0008-bt-arm64-add-support-for-bt-n-idle.patch
Patch10: 0009-gdb-print-details-of-unnamed-struct-and-union.patch
Patch11: 0010-Enhance-dev-d-D-options-to-support-blk-mq-sbitmap.patch
Patch12: 0011-Fix-for-dev-d-D-options-to-support-blk-mq-change-on-.patch
Patch13: 0012-Doc-update-man-page-for-the-bpf-and-sbitmapq-command.patch
Patch14: 0013-sbitmapq-Fix-for-sbitmap_queue-without-ws_active-mem.patch
Patch15: 0014-sbitmapq-Fix-for-sbitmap_word-without-cleared-member.patch
Patch16: 0015-sbitmapq-Fix-for-sbitmap_queue-without-min_shallow_d.patch
Patch17: 0016-Make-dev-d-D-options-parse-sbitmap-on-Linux-4.18-and.patch
Patch18: crash-8.0.0-5-gdb-cdefs.patch

%description
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%package devel
Requires: %{name} = %{version}, zlib-devel
Summary: kernel crash analysis utility for live systems, netdump, diskdump, kdump, LKCD or mcore dumpfiles
Group: Development/Tools

%description devel
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%prep
%setup -n %{name}-%{version} -q
%autopatch -p1

%build
cp %{SOURCE1} .
make -j`nproc` RPMPKG="%{version}-%{release}" CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{build_ldflags}"

%install
mkdir -p %{buildroot}%{_bindir}
%make_install
mkdir -p %{buildroot}%{_mandir}/man8
cp -p crash.8 %{buildroot}%{_mandir}/man8/crash.8
mkdir -p %{buildroot}%{_includedir}/crash
chmod 0644 defs.h
cp -p defs.h %{buildroot}%{_includedir}/crash

%files
%{_bindir}/crash
%{_mandir}/man8/crash.8*
%doc README COPYING3

%files devel
%{_includedir}/*



%changelog
* Thu Jun 16 2022 tv <tv> 8.0.1-2.mga9
+ Revision: 1864539
- Update to the latest upstream commit <c07068266b41>

* Tue May 03 2022 tv <tv> 8.0.1-1.mga9
+ Revision: 1855601
- Rebase to upstream crash 8.0.1
- Enable ZSTD feature
- Switch to pkgconfig() style BRs
- Update to the latest upstream commit <5f390ed811b0>
- Fix segmentation fault caused by crash extension modules
- Support the overflow stack exception handling on aarch64
- Enable Hardened package
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Nov 24 2021 tv <tv> 8.0.0-3.mga9
+ Revision: 1759103
- Rebase to upstream 8.0.0

* Mon Nov 08 2021 tv <tv> 7.3.0-3.mga9
+ Revision: 1754710
- Update to gdb-10.2
- Update to the latest upstream: commit <68870c83d299>
- Update to the latest upstream <f53b73e8380b>
- 7.3.0

* Sun Apr 05 2020 tv <tv> 7.2.8-1.mga8
+ Revision: 1564908
- 7.2.8
- Update to latest upstream release
- Fix aarch64 build for gcc-10 -fno-common
- Use RPM build flags for LDFLAGS

* Wed Feb 19 2020 umeabot <umeabot> 7.1.9-5.mga8
+ Revision: 1542510
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 tv <tv> 7.1.9-4.mga8
+ Revision: 1476439
- rebuild with new readline

* Sun Sep 23 2018 umeabot <umeabot> 7.1.9-3.mga7
+ Revision: 1296898
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 7.1.9-2.mga7
+ Revision: 1189420
- rebuild for new readline

* Tue Sep 12 2017 tv <tv> 7.1.9-1.mga7
+ Revision: 1153293
- new release

* Tue May 17 2016 tv <tv> 7.1.5-2.mga6
+ Revision: 1016508
- imported package crash

